Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[ GLSA 200609-16 ] Tikiwiki: Arbitrary command execution
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index News & Announcements
View previous topic :: View next topic  
Author Message
GLSA
Veteran
Veteran


Joined: 12 May 2004
Posts: 1582

PostPosted: Tue Sep 26, 2006 5:26 pm    Post subject: [ GLSA 200609-16 ] Tikiwiki: Arbitrary command execution Reply with quote

Gentoo Linux Security Advisory

Title: Tikiwiki: Arbitrary command execution (GLSA 200609-16)
Severity: high
Exploitable: remote
Date: September 26, 2006
Bug(s): #145714
ID: 200609-16

Synopsis

Tikiwiki contains a cross-site scripting (XSS) vulnerability as well as a second vulnerability which may allow remote execution of arbitrary code.

Background

Tikiwiki is a web-based groupware and content management system, developed with PHP, ADOdb and Smarty.

Affected Packages

Package: www-apps/tikiwiki
Vulnerable: < 1.9.5
Unaffected: >= 1.9.5
Architectures: All supported architectures


Description

A vulnerability in jhot.php allows for an unrestricted file upload to the img/wiki/ directory. Additionally, an XSS exists in the highlight parameter of tiki-searchindex.php.

Impact

An attacker could execute arbitrary code with the rights of the user running the web server by uploading a file and executing it via a filepath parameter. The XSS could be exploited to inject and execute malicious script code or to steal cookie-based authentication credentials, potentially compromising the victim's browser.

Workaround

There is no known workaround at this time.

Resolution

All Tikiwiki users should upgrade to the latest version:
Code:
# emerge --sync
# emerge --oneshot --verbose --ask ">=www-apps/tikiwiki-1.9.5"


References

CVE-2006-4299
CVE-2006-4602
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index News & Announcements All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum